Provide the java<version>-sdk dependencies to match the openjdk package
authorEmmanuel Bourg <ebourg@apache.org>
Wed, 5 Jun 2013 12:59:08 +0000 (14:59 +0200)
committerEmmanuel Bourg <ebourg@apache.org>
Wed, 5 Jun 2013 12:59:08 +0000 (14:59 +0200)
lib/jdk.sh

index 778b370..1453dc0 100644 (file)
@@ -17,7 +17,7 @@ Package: $j2se_package
 Architecture: any
 Depends: $depends
 Recommends: netbase, libx11-6 | xlibs, libasound2, libgtk1.2, libstdc++5
-Provides: java-virtual-machine, java-runtime, java2-runtime, $java_browser_plugin java-compiler, java2-compiler, java-runtime-headless, java2-runtime-headless, java-sdk, java2-sdk, j2sdk$j2se_release, j2re$j2se_release
+Provides: java-virtual-machine, java-runtime, java2-runtime, $java_browser_plugin java-compiler, java2-compiler, java-runtime-headless, java2-runtime-headless, java-sdk, java2-sdk, java$((${j2se_release}-2))-sdk, java$((${j2se_release}-1))-sdk, java${j2se_release}-sdk, j2sdk$j2se_release, j2re$j2se_release
 Replaces: ${j2se_package}debian
 Description: $j2se_title
  The Java(TM) SE JDK is a development environment for building